Skip to main content
`Ctrl`+`K`

# DMNetworkGetVertexRange

Get the bounds [start, end) (also sometimes called the chart) for the local vertices

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetVertexRange(DM dm, PeOp PetscInt *vStart, PeOp PetscInt *vEnd)

Not Collective

## Input Parameter

- dm - the `DMNETWORK` object

## Output Parameters

- vStart - the first vertex point, pass `NULL` if not needed

- vEnd - one beyond the last vertex point, pass `NULL` if not needed

## See Also

`DM`, `DMNETWORK`, `DMNetworkGetEdgeRange()`, `DMNetworkGetSubnetwork()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages